Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.feed
Class FeedConstants

    java.lang.Object
      org.wso2.wsas.feed.FeedConstants

    public final class FeedConstants

extends java.lang.Object

Field Summary
`static int` | `ATOM_FEED`
`static java.lang.String` | `ATOM_FILE`
`static java.lang.String` | `ATOM_HOME`
`static java.lang.String` | `AUTHOR_ELEMENT_NAME`
`static java.lang.String` | `BASE64_MODE_ARRTIBUTE`
`static java.lang.String` | `CHANNEL_URL_KEY`
`static java.lang.String` | `CHANNEL_URL_VALUE`
`static java.lang.String` | `CONTENT_ELEMENT_NAME`
`static java.lang.String` | `CREATED_DATE_ELEMET_NAME`
`static java.lang.String` | `ENTRY_ELEMENT_NAME`
`static java.lang.String` | `ESCAPED_MODE_ARRTIBUTE`
`static java.lang.String` | `EVENTING_LISTENER`
`static java.lang.String` | `FEED_DIRECTORY`
`static java.lang.String` | `FEED_ELEMENT_NAME`
`static java.lang.String` | `FEED_LANG_ATTR`
`static java.lang.String` | `FEED_LISTENER`
`static java.lang.String` | `FEED_VERSION_ATTR`
`static java.lang.String` | `ID_ELEMENT_NAME`
`static java.lang.String` | `ISSUED_DATE_ELEMET_NAME`
`static java.lang.String` | `ITEM_URL_KEY`
`static java.lang.String` | `ITEM_URL_VALUE`
`static java.lang.String` | `LINK_ELEMENT_NAME`
`static java.lang.String` | `LINK_HERF_ATTR`
`static java.lang.String` | `LINK_REL_ATTR`
`static java.lang.String` | `LINK_REL_ATTR_VALUE`
`static java.lang.String` | `LINK_TITLE_ATTR`
`static java.lang.String` | `LINK_TYPE_ATTR`
`static java.lang.String` | `MODE_ARRTIBUTE`
`static java.lang.String` | `MODIFIED_DATE_ELEMET_NAME`
`static java.lang.String` | `NAMESPASE_URL`
`static java.lang.String` | `NAMWSPACE_PREFIX`
`static java.lang.String` | `PERSONAL_EMAIL_ELEMENT_NAME`
`static java.lang.String` | `PERSONAL_NAME_ELEMENT_NAME`
`static java.lang.String` | `PERSONAL_URL_ELEMENT_NAME`
`static int` | `RSS_FEED`
`static java.lang.String` | `RSS_FILE`
`static java.lang.String` | `RSS_HOME`
`static java.lang.String` | `SUMMARY_ELEMENT_NAME`
`static java.lang.String` | `TAGLINE_ELEMENT_NAME`
`static java.lang.String` | `TITLE_ELEMENT_NAME`
`static java.lang.String` | `TYPE_ARRTIBUTE`
`static java.lang.String` | `WSO2WSAS_ATOM_FEED`
`static java.lang.String` | `WSO2WSAS_RSS_FEED`
`static java.lang.String` | `XML_MODE_ARRTIBUTE`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RSS_FEED

    public static final int RSS_FEED

See Also:
  Constant Field Values

### ATOM_FEED

    public static final int ATOM_FEED

See Also:
  Constant Field Values

### WSO2WSAS_RSS_FEED

    public static final java.lang.String WSO2WSAS_RSS_FEED

See Also:
  Constant Field Values

### WSO2WSAS_ATOM_FEED

    public static final java.lang.String WSO2WSAS_ATOM_FEED

See Also:
  Constant Field Values

### FEED_DIRECTORY

    public static final java.lang.String FEED_DIRECTORY

See Also:
  Constant Field Values

### RSS_HOME

    public static final java.lang.String RSS_HOME

See Also:
  Constant Field Values

### ATOM_HOME

    public static final java.lang.String ATOM_HOME

See Also:
  Constant Field Values

### RSS_FILE

    public static final java.lang.String RSS_FILE

See Also:
  Constant Field Values

### ATOM_FILE

    public static final java.lang.String ATOM_FILE

See Also:
  Constant Field Values

### FEED_LISTENER

    public static final java.lang.String FEED_LISTENER

See Also:
  Constant Field Values

### EVENTING_LISTENER

    public static final java.lang.String EVENTING_LISTENER

See Also:
  Constant Field Values

### CHANNEL_URL_KEY

    public static final java.lang.String CHANNEL_URL_KEY

See Also:
  Constant Field Values

### ITEM_URL_KEY

    public static final java.lang.String ITEM_URL_KEY

See Also:
  Constant Field Values

### CHANNEL_URL_VALUE

    public static final java.lang.String CHANNEL_URL_VALUE

See Also:
  Constant Field Values

### ITEM_URL_VALUE

    public static final java.lang.String ITEM_URL_VALUE

See Also:
  Constant Field Values

### NAMESPASE_URL

    public static final java.lang.String NAMESPASE_URL

See Also:
  Constant Field Values

### NAMWSPACE_PREFIX

    public static final java.lang.String NAMWSPACE_PREFIX

See Also:
  Constant Field Values

### XML_MODE_ARRTIBUTE

    public static final java.lang.String XML_MODE_ARRTIBUTE

See Also:
  Constant Field Values

### ESCAPED_MODE_ARRTIBUTE

    public static final java.lang.String ESCAPED_MODE_ARRTIBUTE

See Also:
  Constant Field Values

### BASE64_MODE_ARRTIBUTE

    public static final java.lang.String BASE64_MODE_ARRTIBUTE

See Also:
  Constant Field Values

### MODE_ARRTIBUTE

    public static final java.lang.String MODE_ARRTIBUTE

See Also:
  Constant Field Values

### TYPE_ARRTIBUTE

    public static final java.lang.String TYPE_ARRTIBUTE

See Also:
  Constant Field Values

### AUTHOR_ELEMENT_NAME

    public static final java.lang.String AUTHOR_ELEMENT_NAME

See Also:
  Constant Field Values

### TITLE_ELEMENT_NAME

    public static final java.lang.String TITLE_ELEMENT_NAME

See Also:
  Constant Field Values

### ID_ELEMENT_NAME

    public static final java.lang.String ID_ELEMENT_NAME

See Also:
  Constant Field Values

### CONTENT_ELEMENT_NAME

    public static final java.lang.String CONTENT_ELEMENT_NAME

See Also:
  Constant Field Values

### SUMMARY_ELEMENT_NAME

    public static final java.lang.String SUMMARY_ELEMENT_NAME

See Also:
  Constant Field Values

### TAGLINE_ELEMENT_NAME

    public static final java.lang.String TAGLINE_ELEMENT_NAME

See Also:
  Constant Field Values

### PERSONAL_NAME_ELEMENT_NAME

    public static final java.lang.String PERSONAL_NAME_ELEMENT_NAME

See Also:
  Constant Field Values

### PERSONAL_EMAIL_ELEMENT_NAME

    public static final java.lang.String PERSONAL_EMAIL_ELEMENT_NAME

See Also:
  Constant Field Values

### PERSONAL_URL_ELEMENT_NAME

    public static final java.lang.String PERSONAL_URL_ELEMENT_NAME

See Also:
  Constant Field Values

### LINK_ELEMENT_NAME

    public static final java.lang.String LINK_ELEMENT_NAME

See Also:
  Constant Field Values

### LINK_REL_ATTR

    public static final java.lang.String LINK_REL_ATTR

See Also:
  Constant Field Values

### LINK_REL_ATTR_VALUE

    public static final java.lang.String LINK_REL_ATTR_VALUE

See Also:
  Constant Field Values

### LINK_HERF_ATTR

    public static final java.lang.String LINK_HERF_ATTR

See Also:
  Constant Field Values

### LINK_TITLE_ATTR

    public static final java.lang.String LINK_TITLE_ATTR

See Also:
  Constant Field Values

### LINK_TYPE_ATTR

    public static final java.lang.String LINK_TYPE_ATTR

See Also:
  Constant Field Values

### MODIFIED_DATE_ELEMET_NAME

    public static final java.lang.String MODIFIED_DATE_ELEMET_NAME

See Also:
  Constant Field Values

### ISSUED_DATE_ELEMET_NAME

    public static final java.lang.String ISSUED_DATE_ELEMET_NAME

See Also:
  Constant Field Values

### CREATED_DATE_ELEMET_NAME

    public static final java.lang.String CREATED_DATE_ELEMET_NAME

See Also:
  Constant Field Values

### ENTRY_ELEMENT_NAME

    public static final java.lang.String ENTRY_ELEMENT_NAME

See Also:
  Constant Field Values

### FEED_ELEMENT_NAME

    public static final java.lang.String FEED_ELEMENT_NAME

See Also:
  Constant Field Values

### FEED_VERSION_ATTR

    public static final java.lang.String FEED_VERSION_ATTR

See Also:
  Constant Field Values

### FEED_LANG_ATTR

    public static final java.lang.String FEED_LANG_ATTR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD